using MauiAppStock.Views;

namespace MauiAppStock;

public partial class AppShell : Shell
{
    public AppShell()
    {
        InitializeComponent();

    }
    protected override void OnNavigating(ShellNavigatingEventArgs args)
    {
        base.OnNavigating(args);

        bool isMainPage = args.Target?.Location?.OriginalString == "//MainPage";
        Shell.SetBackButtonBehavior(this, new BackButtonBehavior { IsVisible = !isMainPage });
    }
}